#!/usr/bin/env node

// Load the http module to create an http server.
var httpServer = require('http');

// Configure our HTTP server to respond with Hello World to all requests.
var server = httpServer.createServer(function (request, response) {
    
    response.writeHead(200, {"Content-Type": "text/html"});
    response.end("<h1>Hello World!</h1>");
    //console.log("response sent!");
  
}); 

// Listen on port 9876
server.listen(9876);

// Even though this ends the program, it will remain active since  
// the node event loop has more to do (due to http server above)
console.log("Server running, connect to http://power8.profoundnet.local:9876/helloWeb.html");
